summaryrefslogtreecommitdiff
path: root/.config/zsh
diff options
context:
space:
mode:
authoraktersnurra <grydholm@kth.se>2021-02-17 22:55:42 +0100
committeraktersnurra <grydholm@kth.se>2021-02-17 22:55:42 +0100
commit06c5c1dfc8104f73c01ef3971cc0f02f71ffe585 (patch)
tree8c6b2b2c121ba150deb50096f3f96e100f1b0e70 /.config/zsh
parentadd7517e60b0cf427208867b505b616bacec8680 (diff)
new tmux theme
Diffstat (limited to '.config/zsh')
-rw-r--r--.config/zsh/antigen_pkgs.zsh.zwcbin0 -> 1192 bytes
-rw-r--r--.config/zsh/history.zsh2
-rw-r--r--.config/zsh/programs.zsh42
3 files changed, 44 insertions, 0 deletions
diff --git a/.config/zsh/antigen_pkgs.zsh.zwc b/.config/zsh/antigen_pkgs.zsh.zwc
new file mode 100644
index 0000000..4fdb8ab
--- /dev/null
+++ b/.config/zsh/antigen_pkgs.zsh.zwc
Binary files differ
diff --git a/.config/zsh/history.zsh b/.config/zsh/history.zsh
new file mode 100644
index 0000000..2154040
--- /dev/null
+++ b/.config/zsh/history.zsh
@@ -0,0 +1,2 @@
+bindkey "^[[A" history-beginning-search-backward
+bindkey "^[[B" history-beginning-search-forward
diff --git a/.config/zsh/programs.zsh b/.config/zsh/programs.zsh
new file mode 100644
index 0000000..ba79461
--- /dev/null
+++ b/.config/zsh/programs.zsh
@@ -0,0 +1,42 @@
+if command -v exa > /dev/null; then
+ alias ls='exa -al --color=always --group-directories-first' # my preferred listing
+ alias la='exa -a --color=always --group-directories-first' # all files and dirs
+ alias ll='exa -l --color=always --group-directories-first' # long format
+ alias lt='exa -aT --color=always --group-directories-first' # tree listing
+ alias l.='exa -a | egrep "^\."'
+else
+ echo "install exa"
+fi
+
+if command -v bat > /dev/null; then
+ alias cat='bat'
+else
+ echo "install bat"
+fi
+
+if command -v rg > /dev/null; then
+ alias grep='rg'
+else
+ echo "install ripgrep"
+fi
+
+if command -v fd > /dev/null; then
+ alias find='fd'
+else
+ echo "install fd"
+fi
+
+if ! command -v tokei > /dev/null; then
+ echo "install tokei"
+fi
+
+if command -v procs > /dev/null; then
+ alias ps='procs'
+else
+ echo "install procs"
+fi
+
+if ! command -v ytop > /dev/null; then
+ echo "install ytop"
+fi
+